VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | Protected Attributes | List of all members
IViewSwitchController Class Referenceabstract
Inheritance diagram for IViewSwitchController:

## Public Member Functions
| IViewSwitchController (UIViewSwitchContainer *viewSwitch)
virtual | ~IViewSwitchController () noexcept=default
void | init ()
UIViewSwitchContainer * | getViewSwitchContainer () const
virtual CView * | createViewForIndex (int32_t index)=0
virtual void | switchContainerAttached ()=0
virtual void | switchContainerRemoved ()=0

## Protected Attributes
UIViewSwitchContainer * | viewSwitch

## Constructor & Destructor Documentation

IViewSwitchController | ( | UIViewSwitchContainer * | viewSwitch | ) |
| inline explicit

virtual ~IViewSwitchController | ( |  | ) |
| virtual default noexcept

## Member Function Documentation

virtual CView* createViewForIndex | ( | int32_t | index | ) |
| pure virtual

Implemented in UIDescriptionViewSwitchController.

UIViewSwitchContainer* getViewSwitchContainer | ( |  | ) | const
| inline

void init | ( |  | ) |
| inline

virtual void switchContainerAttached | ( |  | ) |
| pure virtual

Implemented in UIDescriptionViewSwitchController.

virtual void switchContainerRemoved | ( |  | ) |
| pure virtual

Implemented in UIDescriptionViewSwitchController.

## Member Data Documentation

UIViewSwitchContainer* viewSwitch
| protected

The documentation for this class was generated from the following file:

- uiviewswitchcontainer.h